Create Role Assignment Policy

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Creates the given role assignment policy. If the upsert query param is set to true then, instead of performing a create, the API will switch to performing an upsert. The following fields are required:

Required Fields:

  • ownerType
  • ownerId

When performing an upsert, the above fields will be used to determine whether the role assignment policy resource already exists. If the role assignment policy already exists, a partial update will be performed; otherwise, a new role assignment policy entity will be created.

In the response of an upsert request, if a create was performed, then a 201 response code will be returned; otherwise, if an update was performed, then a 200 will be returned.

Required Permissions

Below is the list of required permissions needed to interact with this API. For each permission, the allowed permission boundaries are also specified.

PermissionBoundaryDescription
role-assignment-policy:writeApplicationThe subject can create role assignment policies under the application that the subject belongs to.
TenantThe subject can create role assignment policies for the tenant to which the subject belongs.
Tenant Inclusion ListThe subject can create role assignment policies for tenants specified in the tenant inclusion list.
Tenant Exclusion ListThe subject can create role assignment policies for tenants in the subject's application that are not on the tenant exclusion list.
Query Params
boolean
Defaults to false

Boolean indicating if the operation should be treated as an upsert

Body Params

Role Assignment policy JSON object

Role Assignment Policy

string
enum
required
length between 1 and 30

[Required on Create and Upsert] The type of the owner of the resource.

Allowed:
string
required
length between 1 and 26

[Required on Create and Upsert] The ID of the owner of the resource.

defaultSignupRoles
array of strings
length ≤ 10

List of role IDs that will be assigned to a user upon signup.

defaultSignupRoles
defaultIdpUserSyncRoles
array of strings
length ≤ 10

List of role IDs that will be assigned to a user when the user is synced from an external IdP. This includes JIT provisioning flows and when roles are synced on login. Note, the default roles defined here will only be used if no other role assignments are specified that have higher precedence. For example, if IdP role mappings are defined for the user then the default roles will not be assigned.

defaultIdpUserSyncRoles
Responses

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json